import request from '@/utils/request'
import { URL } from '@/config'

export function getList(params) {
  return request({
    url: URL.shop.base.product.brand.getList,
    method: 'get',
    params,
  })
}

export function doEdit(data) {
  return request({
    url: URL.shop.base.product.brand.doEdit,
    method: 'post',
    data,
  })
}

export function enable(data) {
  return request({
    url: URL.shop.base.product.brand.enable,
    method: 'post',
    data,
  })
}

export function doDelete(data) {
  return request({
    url: URL.shop.base.product.brand.doDelete,
    method: 'post',
    data,
  })
}

export function getBrands(params) {
  return request({
    url: URL.shop.base.product.brand.getBrands,
    method: 'get',
    params,
  })
}

export function getBrandMap(params) {
  return request({
    url: URL.shop.base.product.brand.getBrandMap,
    method: 'get',
    params,
  })
}

export function getBrandS(params) {
  return request({
    url: URL.shop.base.product.brand.getBrandS,
    method: 'get',
    params,
  })
}
